import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AppPathConfig } from '../model/app-path-config';
import { ServiceConfig } from '../model/service-config';
import * as i0 from "@angular/core";
export declare class AppPathConfigService {
    private config;
    private http;
    url: string;
    constructor(config: ServiceConfig, http: HttpClient);
    getAll(): Observable<AppPathConfig[]>;
    getById(id: number): Observable<AppPathConfig>;
    getByAppId(id: number): Observable<AppPathConfig[]>;
    getByApp(name: string): Observable<AppPathConfig[]>;
    getByAppTypeId(id: number): Observable<AppPathConfig[]>;
    getByAppType(name: string): Observable<AppPathConfig[]>;
    getByAppFunction(name: string): Observable<AppPathConfig[]>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppPathConfigService, [{ optional: true; }, null]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AppPathConfigService>;
}
