import { ElementRef, OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { UploadService } from './../../services/upload.service';
import * as i0 from "@angular/core";
export declare class UploadDialogComponent implements OnInit {
    dialogRef: MatDialogRef<UploadDialogComponent>;
    uploadService: UploadService;
    file: ElementRef;
    files: Set<File>;
    existingFileConflict: string | null;
    progress: any;
    canBeClosed: boolean;
    primaryButtonText: string;
    showCancelButton: boolean;
    uploading: boolean;
    uploadSuccessful: boolean;
    uploadDialogTitle: string;
    uploadDialogAddFilesButtonText: string;
    uploadDialogCancelButtonText: string;
    uploadDialogUploadButtonText: string;
    uploadDialogFinishButtonText: string;
    constructor(dialogRef: MatDialogRef<UploadDialogComponent>, uploadService: UploadService);
    ngOnInit(): void;
    addFiles(): void;
    onFilesAdded(): void;
    closeDialog(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UploadDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UploadDialogComponent, "cp-upload-dialog", never, {}, {}, never, never, false>;
}
