import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ServiceConfig } from '../model/service-config';
import { User } from '../model/user';
import * as i0 from "@angular/core";
export declare class ActiveDirectoryService {
    private config;
    private http;
    private cache;
    private defaultCacheLifeMinutes;
    private get cacheExpired();
    constructor(config: ServiceConfig, http: HttpClient);
    getUsers(includePhoto?: boolean, includeDisabled?: boolean, parentOU?: string): Observable<User[]>;
    getUser(accountName: string, includePhoto?: boolean): Observable<User>;
    clearCache(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ActiveDirectoryService, [{ optional: true; }, null]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ActiveDirectoryService>;
}
