import { ModuleWithProviders } from '@angular/core';
import { ServiceConfig } from './model/service-config';
import * as i0 from "@angular/core";
import * as i1 from "./components/login/login.component";
import * as i2 from "./components/login-form/login-form.component";
import * as i3 from "@angular/common";
import * as i4 from "@angular/forms";
import * as i5 from "@angular/material/button";
import * as i6 from "@angular/material/dialog";
import * as i7 from "@angular/material/form-field";
import * as i8 from "@angular/material/icon";
import * as i9 from "@angular/material/input";
import * as i10 from "@angular/material/progress-spinner";
export declare class AuthenticationModule {
    static forRoot(config: ServiceConfig): ModuleWithProviders<AuthenticationModule>;
    constructor(parentModule: AuthenticationModule);
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthenticationModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<AuthenticationModule, [typeof i1.LoginComponent, typeof i2.LoginFormComponent], [typeof i3.CommonModule, typeof i4.ReactiveFormsModule, typeof i5.MatButtonModule, typeof i6.MatDialogModule, typeof i7.MatFormFieldModule, typeof i8.MatIconModule, typeof i9.MatInputModule, typeof i10.MatProgressSpinnerModule], [typeof i1.LoginComponent, typeof i2.LoginFormComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<AuthenticationModule>;
}
